<?php

session_start();

require_once ("../../config/Cado.php");

require_once ("cTipoperacion.php");

$oTipoperacion = new cTipoperacion();



if($_POST['action']=="editar")

{

	$dts=$oTipoperacion->mostrarUno($_POST['tipope_id']);

	$dt = mysql_fetch_array($dts);

	$tipope_nom=$dt['tb_tipoperacion_nom'];

	$tipope_tip=$dt['tb_tipoperacion_tip'];

	$tipope_man=$dt['tb_tipoperacion_man'];

	mysql_free_result($dts);

}

?>

<!-- Form content -->

<section class="content" id="form">

	<div class="row">

		<div class="col-xs-12">

			<div class="box box-info">

				<form role="form" id="for_tipope" method="POST">



					<input name="action_tipoperacion" id="action_tipoperacion" type="hidden" value="<?php echo $_POST['action']?>">

					<input name="hdd_tipope_id" id="hdd_tipope_id" type="hidden" value="<?php echo $_POST['tipope_id']?>">



					<div class="box-header">

						<h3 class="box-title">Información de tipo de Operación</h3>

					</div>

					<div class="box-body">



						<div class="form-group">

							<div class="row">

								<div class="col-xs-6">

									<label for="txt_tipope_nom">Nombre:</label>

									<input name="txt_tipope_nom" type="text" id="txt_tipope_nom" value="<?php echo $tipope_nom?>" maxlength="50" class="form-control">

								</div>

								<div class="col-xs-6">

									<label for="cmb_tip">Tipo:</label>

									<select name="cmb_tip" id="cmb_tip"  class="form-control">

										<option value="">-</option>

										<option value="1" <?php if($tipope_tip==1)echo 'selected'?>>ENTRADA (Aumentar Stock)</option>

										<option value="2" <?php if($tipope_tip==2)echo 'selected'?>>SALIDA (Disminuir Stock)</option>

									</select>

								</div>

							</div>



						</div>

					</div>

				</form>

				<div class="box-footer">

					<button type="reset" id="cancel" class="btn btn-default">Cancel</button>

					<button class="btn btn-info pull-right" id="save_form">Guardar</button>

				</div>

			</div>

		</div>

	</div>

</section>



<script type="text/javascript">



	$(function() {



		$('#txt_tipope_nom').focus();



		$('#txt_tipope_nom').change(function(){

			$(this).val($(this).val().toUpperCase());

		});

		$("#cancel").click(function() {

			$("#form").hide();

			$("#table").show();

		});



		$("#save_form").click(function() {

			$("#for_tipope").submit();

		});



		$(document).ready(function() {

			$('#for_tipope').bootstrapValidator({

	      //live: 'disabled',

	      message: 'valor no valido',

	      feedbackIcons: {

	      	valid: 'glyphicon glyphicon-ok',

	      	invalid: 'glyphicon glyphicon-remove',

	      	validating: 'glyphicon glyphicon-refresh'

	      },

	      fields: {

	      	txt_tipope_nom: {

	      		group: '.col-xs-6',

	      		validators: {

	      			notEmpty: {

	      				message: 'campo requerido'

	      			}

	      		}

	      	},

	      	cmb_tip: {

	      		group: '.col-xs-6',

	      		validators: {

	      			notEmpty: {

	      				message: 'campo requerido'

	      			}

	      		}

	      	}

	      }

	  }).on('success.form.bv', function(e) {

	  	/*--- Save ---*/

	  	$.ajax({

	  		type: "POST",

	  		url: "../tipoperacion/tipoperacion_reg.php",

	  		async:true,

	  		dataType: "html",

	  		data: $("#for_tipope").serialize(),

	  		beforeSend: function() { 

	  			$('#msj_tipoperacion').html("Guardando...");

	  			$('#msj_tipoperacion').show(100);

	  		},

	  		success: function(html){	

	  			$('#div_tipoperacion_form').html('');						

	  			$('#msj_tipoperacion').html(html);

	  		},

	  		complete: function(){

	  			<?php

	  			if($_POST['vista']=="tipoperacion_tabla")

	  			{

	  				echo $_POST['vista'].'()';

	  			}



	  			if($_POST['vista']=="cmb_tipope_id")

	  			{

	  				echo $_POST['vista'].'()';

	  			}

	  			?>

	  		}

	  	});

	  });

	});

	});



	



	$('#txt_tipope_nom').keydown(function(ev) {

		if(ev.keyCode==13){$('#cmb_tip').focus(); return false;}

	});

	$('#cmb_tip').keydown(function(ev) {

		if(ev.keyCode==13){$('#save_form').focus(); return false;}

	});	



</script>